
### MAKEMAKE STARTS HERE #######################################################


### Created by makemake.pl on Sat Jan 19 14:45:23 2019 #########################


### GLOBAL TARGETS #############################################################

default: mm_update all

re: mm_update rebuild

li: mm_update link

all: mm_update yascreen.a 

clean: mm_update clean-yascreen.a 

rebuild: mm_update rebuild-yascreen.a 

link: mm_update link-yascreen.a 

### GLOBAL (AND USER) DEFS #####################################################


AR = ar rv
CC = gcc
LD = gcc
MKDIR = mkdir -p
RANLIB = ranlib
RMDIR = rm -rf
RMFILE = rm -f
SRC = *.c *.cpp *.cc *.cxx


### TARGET 1: yascreen.a #######################################################

CC_1       = gcc
LD_1       = gcc
AR_1       = ar rv
RANLIB_1   = ranlib
CCFLAGS_1  = -I. -O2 $(CCDEF)  
LDFLAGS_1  = $(LDDEF) 
DEPFLAGS_1 = 
ARFLAGS_1  = 
TARGET_1   = yascreen.a

### SOURCES FOR TARGET 1: yascreen.a ###########################################

SRC_1= \
     yascreen.c \

#### OBJECTS FOR TARGET 1: yascreen.a ##########################################

OBJ_1= \
     .OBJ.yascreen.a/yascreen.o \

### TARGET DEFINITION FOR TARGET 1: yascreen.a #################################

.OBJ.yascreen.a: 
	$(MKDIR) .OBJ.yascreen.a

yascreen.a:   .OBJ.yascreen.a $(OBJ_1)
	$(AR_1) $(ARFLAGS_1) $(TARGET_1) $(OBJ_1)
	$(RANLIB_1) $(TARGET_1)

clean-yascreen.a: 
	$(RMFILE) $(TARGET_1)
	$(RMDIR) .OBJ.yascreen.a

rebuild-yascreen.a: clean-yascreen.a yascreen.a

link-yascreen.a: .OBJ.yascreen.a $(OBJ_1)
	$(RMFILE) yascreen.a
	$(AR_1) $(ARFLAGS_1) $(TARGET_1) $(OBJ_1)
	$(RANLIB_1) $(TARGET_1)


### TARGET OBJECTS FOR TARGET 1: yascreen.a ####################################

.OBJ.yascreen.a/yascreen.o: yascreen.c  yascreen.c
	$(CC_1) $(CFLAGS_1) $(CCFLAGS_1) -c yascreen.c           -o .OBJ.yascreen.a/yascreen.o


mm_update:
	


### MAKEMAKE ENDS HERE #########################################################

